Bug 192780 - Pup Import Key dialog formatting error and unclear to joe user
Pup Import Key dialog formatting error and unclear to joe user
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-22 17:47 EDT by Andrew D. Stadler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 18:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2006-05-22 17:47:42 EDT
Description of problem:

Occasionally during a pup update cycle I see dialogs such as:

The package xml-commons-resolver - 1.1-3jpp.noarch is signed with a key from
JPackage Project (JPP Official Keys) <jpackage@zarb.org> (0xC431416D). 
Would you like to import this key?

I have two problems with this dialog:

(1)  Minor:  Some HTML style formatting is sneaking into the display text.

(2)  Major:  This dialog provides absolutely no guidance for a new (or
experienced) user.  Do I need this key?  Can I update without it?  If I click
cancel, do I still get my update?  Or did I just cancel all of my updates?  If I
click import, where is it stored and who gets to look at it?  etc. etc. etc.

I am an experienced user and a designer of security protocols, and I have no
idea what this dialog really means or the ramifications of my two click choices.  

Version-Release number of selected component (if applicable):

pirut-1.0.1-1   
(not sure if this applies to pup too, but rpm -q pup returns no result)
Comment 1 Jeremy Katz 2006-09-11 18:15:07 EDT
The formatting is improved.  If you have concrete suggestions on how to improve
the dialog without making it ten pages long, feel free to open a separate issue
(or reopen this one)

Note You need to log in before you can comment on or make changes to this bug.